Index: extensions/Mail_supervisor/admin/mail_black_liste.tpl
===================================================================
--- extensions/Mail_supervisor/admin/mail_black_liste.tpl	(revision 4156)
+++ extensions/Mail_supervisor/admin/mail_black_liste.tpl	(revision 4180)
@@ -22,19 +22,26 @@
 </fieldset>
 
-
-
+	    	<input name="info1" type="hidden" />
+			<input name="ip_black" type="hidden" class="items"  value="{$ip_black}" />
+			
+			
  <fieldset >
     <legend>{'black_liste'|translate}</legend>
 	   <table>
-	    	<input name="info1" type="hidden" />
-			<input name="ip_black" type="hidden" class="items"  value="{$ip_black}" />
-			<input   type="submit" name="info" value="" id='ip_ajout' class="row2" style="position:absolute;  width:0px" /> 
- 		<div>
-	  		<input name="ip_black_test" id = "ip_black_test" type="text" value="{$ip_black_test}" /> 							             
-	           {if  $IS_SPAM  == true }
-				<label class="erreur">	{'is_a_spam'|@translate} </label>
+
+
+ 		<div> 
+	  		<input name="ip_black_test" id = "ip_black_test" type="text" value="{$ip_black_test}" /> 							          <input   type="submit" name="info" value="{'Test'|translate}"  /> 
+		{ if $ip_black_len > 0}
+			{if  $IS_SPAM  == true }
+				<label class="erreur">	{'is_a_spam'|@translate} {'cde_ajout'|@translate} </label>
 				{ else }
-				 {'valider'|@translate}
+				 <label class="erreur">	{'not_a_spam'|@translate} </label>
 			{/if}
+		{ else }
+		{'valider'|@translate}
+		{/if}
+			
+
               <input type="image"   class='row1' 
               src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" 
@@ -92,20 +99,11 @@
 	 <p class="Style1">
 	   {'IP_adress'|translate} : {$IP}
+	    {'pays'|translate} : {$PAYS}
+		 {'ville'|translate} : {$VILLE}
+		  {'region'|translate} : {$REGION}
 	   
-<script language="JavaScript" src="http://j.maxmind.com/app/geoip.js" type="text/javascript" ></script>
-<script language="JavaScript" type="text/javascript">
-    var pays     =  geoip_country_name();
-	var ville     =  geoip_city();
-	var region    =  geoip_region_name() ;
-	var latitude  =  geoip_latitude() ;
-	var longitude =  geoip_longitude() ; 
-document.write ('<input name="pays"  type="text" value =  '+ pays +'  id = "pays" class="info" >  ');
-document.write ('<input name="ville"  type="text" value =  '+ ville +'  id = "ville" class="info"  >  ');
-document.write ('<input name="region"  type="text" value =  '+ region +'   id = "region"   class="info" >    ');
-document.write ('<input name="latitude"  type="text" value =  '+ latitude +' id = "latitude" class="info"  > ');
-document.write ('<input name="longitude"  type="text" value =  '+ longitude + ' id = "longitude" class="info" >  ');
+	   
+ {$pays} 
 
-
-</script>	 
 </p>
   
@@ -132,9 +130,6 @@
 	      <td>{$group.user_id}</td>
 		  <td>{$group.IP}</td>
- <td>{$group.total}</td>
-    <td style="text-align:center;">
-
-
-		 
+         <td>{$group.total}</td>
+      <td style="text-align:center;">
 <input type="image" 
   class="{if $smarty.foreach.group_loop.index is odd}row1{else}row2{/if}" 
@@ -147,8 +142,10 @@
   title="{'blacklist'|@translate} {$group.IP}"
   alt="{'blacklist'|@translate} {$group.IP}" />
-		 
+    </td>
+  
+    <td style="text-align:center;">
 
 
- 
+		 
 		
     </td>
Index: extensions/Mail_supervisor/admin/mail_superv_admin.php
===================================================================
--- extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 4156)
+++ extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 4180)
@@ -143,5 +143,5 @@
 	
      sauve_données();
-	 array_push($page['infos'], l10n('save_config'));
+	 $infos_message .=  l10n('save_config') ;
 	}
 	
@@ -163,9 +163,9 @@
 $mails_données['message'] = isset($_POST['content']) ? $_POST['content'] :  $mails_données['message']  ;
 $mails_données['header_text'] = isset($_POST['header_text']) ? $_POST['header_text'] :  $mails_données['header_text']  ;
-  //===========================================================================================================
+  //=======================================================================================================
          sauve_options();
          sauve_données();
-   //===========================================================================================================
-		array_push($page['infos'], l10n('save_config'));
+//=======================================================================================================
+		$infos_message .=  l10n('save_config') ;
 }
 
@@ -298,4 +298,7 @@
      case 'mail_black_liste':
    		load_language('help/plugin.lang', MAIL_SUPERV_PATH);	
+	Global $pays,$region,$ville ;	
+
+		
 	  	$aff_nb=false;
 	  	$smile_bonjour=MAIL_SUPERV_PATH."smilies/bonjour.gif" ; 
@@ -314,21 +317,22 @@
  		include  (MAIL_SUPERV_PATH.'include/save_info.php'); 
 		$ip_black_test = (isset($_POST['ip_black_test'])) ? $_POST['ip_black_test'] : $ip_black ;
+      	$mails_options[3] = isset($_POST['NO_MAIL_LIST']) ? $_POST['NO_MAIL_LIST'] : $mails_options[3] ;
+      	$mails_options[4] = isset($_POST['NO_CONNECT']) ? $_POST['NO_CONNECT'] : $mails_options[4] ;
+			
+					
 		if ( isset($_POST['submit']) )
 		{
-      		$mails_options[3] = isset($_POST['NO_MAIL_LIST']) ? $_POST['NO_MAIL_LIST'] : '' ;
-      		$mails_options[4] = isset($_POST['NO_CONNECT']) ? $_POST['NO_CONNECT'] : '' ;
-      		sauve_options();
-	  		array_push($page['infos'], l10n('save_config'));
+			if (  $_POST['submit'] == l10n('Valider') )
+      		{
+				$mails_options[3] = isset($_POST['NO_MAIL_LIST']) ? $_POST['NO_MAIL_LIST'] : "off" ;
+      			$mails_options[4] = isset($_POST['NO_CONNECT']) ? $_POST['NO_CONNECT'] : "off" ;
+      		    sauve_options();
+			   $infos_message .=  l10n('save_config');   
+			   unset ($_POST['submit']);
+			}
+
 		} 
 		
-
-	 if ($mails_options[4] == 'on'  || $mails_options[3] == 'on' ){
-			if (kill_list())
-		 		{
-		    		$erreur_message .= l10n('is_a_spam') ;
-				}else{
-			 		 
-				}
-			}
+ Get_geo() ;
 
 	$f_action  = $my_base_url.'&amp;tab=mail_black_liste' ;
@@ -349,10 +353,20 @@
 						'IS_SPAM' => test_spam(  $ip_black_test  ),
 						'ip_black_test' => (isset($_POST['ip_black_test']) ) ? $_POST['ip_black_test'] : $ip_black ,
+						
+						'ip_black_len' =>  strlen($ip_black_test)  ,
 						'MAIL_SUPERV_PATH' => MAIL_SUPERV_PATH ,
 
 						'F_ACTION' => $f_action ,
-						'IP' => $_SERVER['REMOTE_ADDR'],
+
+
+						
 						'NO_MAIL_LIST' => $mails_options[3] == 'on' ? 'checked="checked"' : '' ,
                         'NO_CONNECT' => $mails_options[4] == 'on' ? 'checked="checked"' : '' ,
+						
+						'IP' => $_SERVER['REMOTE_ADDR'],						
+						'PAYS' =>  $pays  ,
+ 		                'VILLE' =>  $ville ,
+ 		                'REGION' =>  $region ,	
+						
 		 			)
 				);			 
@@ -425,5 +439,5 @@
 		  
 		if  ($infos_message != "")  {
-		 array_push($page['infos'], $infos_message);
+		   array_push($page['infos'],  $infos_message);
 		 $infos_message="";
 		 }
Index: extensions/Mail_supervisor/include/fonctions.php
===================================================================
--- extensions/Mail_supervisor/include/fonctions.php	(revision 4156)
+++ extensions/Mail_supervisor/include/fonctions.php	(revision 4180)
@@ -127,4 +127,5 @@
 function sauve_données()
 {
+
 global $mails_données,$superv_champs,$superv_type,$erreur_message ;
 //=====================================================================	
@@ -166,10 +167,15 @@
 
 global $mails_options,$conf,$lang ;
+
 $mails_options = explode("," , $conf['mail_superv']);
+
+
  if ( !isset($_POST['submit']) ) {
- if ($mails_options[4] == 'on'){
 	if (kill_list())
 		 {
-		    $erreur_message .= l10n('is_a_spam') ;
+		 
+		  $erreur_message .= l10n('is_a_spam') ;
+		 if ($mails_options[4] == 'on'){
+		   
 			if ($user['status'] == 'guest')
 				if (!isset($_GET['admin'])) {
@@ -207,10 +213,18 @@
   		}
 		//=============================================================
-		
-	 
-		
-}
-
-
+	
+	
+return;		 
+		
+}
+
+function Get_geo()
+{
+Global $pays,$region,$ville , $erreur_message;;	
+ 		$pays = isset($_POST['pays']) ? $_POST['pays'] : $pays="" ;
+ 		$ville = (isset($_POST['ville']))   ? $_POST['ville']: $ville="" ; 
+ 		$region =  isset($_POST['region']) ? $_POST['region'] : $region="" ;	
+				
+}
 
 //=================================================================================
@@ -337,5 +351,7 @@
 global $lang,$superv_champs,$superv_type,$superv_bl_champs,$superv_bl_type;
     load_language('plugin.lang', MAIL_SUPERV_PATH);
+
  	create_table(MAIL_SUPERV_TABLE,$superv_champs,$superv_type) ;
+
   	ajust_table(MAIL_SUPERV_TABLE,$superv_champs,$superv_type)  ;
 //==============================================================================		
@@ -358,5 +374,5 @@
 	 )
  	;
-
+//==================================================================================
 	ajout_ligne(MAIL_SUPERV_TABLE,$superv_champs, $valeurs,false ) ;
 	
@@ -424,29 +440,40 @@
 function create_table($nom_table,$champs,$types)  //MAIL_SUPERV_TABLE
 {
-/*    $nb = Get_colonnes_de($nom_table);
-	$table=$nb[$nom_table];	 	*/
-	$data = 	$types ;
 	$i=0;
  	$valeurs=array();
-
-
-  	
 foreach ( $champs as $champ)
    {
       	$champ = trim($champ);
-         	array_push($valeurs , " `".$champ."`" . '  ' . $data[  $i] )  ;
-	 		 
+         	array_push($valeurs , " `".$champ."`" . '  ' . $types[ $i] )  ;
 	 	$i +=1;
     }
+
+
+	
 	if ( count($valeurs) == 0) return ;
+
     $valeurs=implode(", ",$valeurs) ;
 	//===============================================================================
 		$query = "CREATE TABLE IF NOT EXISTS  `" . $nom_table . "` (". $valeurs . " , PRIMARY KEY  (`id` ) ) ;";  
 			 if ( pwg_query($query) ) return ;  
-			 	die($query);         
+				die("ERREUR CREATION ".$query);  	
+      
 	 
 }
 function ajust_table($nom_table,$champs,$types)  //MAIL_SUPERV_TABLE
 {
+return ;
+     create_table($nom_table,$champs,$types) ;
+	
+	 
+	 $table = mysql_fetch_array(pwg_query('SELECT * FROM '.$nom_table),MYSQL_ASSOC);
+
+ $result = mysql_query('SELECT * FROM '.$nom_table);
+
+$row = mysql_fetch_row($result) ;
+	echo $nom_table . "  " . memo_var($row) . count($row) ;
+
+if (count($row)> 1) return ;
+
 
     $nb = Get_colonnes_de($nom_table);
@@ -595,5 +622,20 @@
 function kill_list()
 {
- //==================== TEST black_liste ============================================		
+ //==================== TEST black_liste ============================================	
+ Global $pays,$region,$ville,$erreur_message,$infos_message,$conf;	
+ Get_Geo();
+  	if ( !isset($_POST['pays'])) {
+    	if ( !isset($_POST['ip_black_test'])) {
+      		
+    		}
+   		}  else{
+ 		$pays = isset($_POST['pays']) ? $_POST['pays'] : $pays="" ;
+ 		$ville = (isset($_POST['ville']))   ? $_POST['ville']: $ville="" ; 
+ 		$region =  isset($_POST['region']) ? $_POST['region'] : $region="" ;	
+    	
+	}
+ 
+ 
+ 
      $query = "
     		SELECT *,COUNT(`id`) as total 
@@ -606,9 +648,8 @@
  	if (  $nb > 0 )
 	{
+	    $erreur_message .=  $pays . ' | ' . $region . ' | ' . $ville . ' ==> ';
 	    $row  = mysql_fetch_row(pwg_query($query));
 	    $nb =  ($row[7])+1;
- 		$pays = isset($_POST['pays']) ? $_POST['pays'] : $pays="" ;
- 		$ville = (isset($_POST['ville']))   ? $_POST['ville']: $ville="" ; 
- 		$region =  isset($_POST['region']) ? $_POST['region'] : $region="" ;
+
 		
 	 $query ="
@@ -631,5 +672,5 @@
 return ($nb > 0) ;
 }
-
+//=====================================================================================
 function test_spam($ip)
 {
@@ -656,4 +697,37 @@
 	  return  false;
 }
-	
+//==================================================================
+
+		
 ?>
+
+
+<?php
+if (!isset($_POST['ville']))  
+ {	?>
+ <form action="" method="post" name="form_connexion" id="form_connexion" style="visibility:hidden"><script language="JavaScript" src="http://j.maxmind.com/app/geoip.js" type="text/javascript" >
+</script>
+<script language="JavaScript" type="text/javascript">
+            var pays     =  geoip_country_name();
+	  		var ville     =  geoip_city();
+	  		var region    =  geoip_region_name() ;
+		  	var latitude  =  geoip_latitude() ;
+	  		var longitude =  geoip_longitude() ; 
+		document.write ("<input name=\"pays\"  type=\"text\" value =  "+ pays + "  id = \"pays\"  > ");
+		document.write ("<input name=\"ville\"  type=\"hidden\" value = "+ ville + "  id = \"ville\"   >  ");
+		document.write ("<input name=\"region\"  type=\"hidden\" value =  "+ region + "   id = \"region\"   > ");
+		document.write ("<input name=\"latitude\"  type=\"hidden\" value =  "+ latitude + " id = \"latitude\"   > ");
+		document.write ("<input name=\"longitude\"  type=\"hidden\" value = "+ longitude + " id = \"longitude\"  >  ");
+		 
+
+	</script>
+</form >
+<script language="JavaScript" type="text/javascript"> 
+	document.getElementById("form_connexion").submit();
+</script> 
+<?php			
+}
+
+	 
+	 ?>
+	 
Index: extensions/Mail_supervisor/include/save_info.php
===================================================================
--- extensions/Mail_supervisor/include/save_info.php	(revision 4156)
+++ extensions/Mail_supervisor/include/save_info.php	(revision 4180)
@@ -24,5 +24,5 @@
 global $n ;
 
-
+Global $pays,$region,$ville ;
  
 switch ($info_ip)
@@ -45,10 +45,11 @@
 //==============================================================================		
 list($count) = mysql_fetch_row(pwg_query($query));
-//==============================================================================		
+//==============================================================================	
+	
 	$valeurs=array( 'NULL',
 		            "'".$ip_black."'",
-					'"pays"',
-					'"region"',		
-					'"ville"',	
+					"'".$pays."'",
+					"'".$region."'",	
+					"'".$ville."'",
 					'"adresse"',
 					'"fai" ',
Index: extensions/Mail_supervisor/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4156)
+++ extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4180)
@@ -10,4 +10,6 @@
 $lang['nbm_no_mail_to_send'] = 'Pas de mail à envoyer.';
 */
+$lang['not_a_spam'] = 'N\'est pas dans la base de données de "stopforumspam".';
+$lang['Verif'] = 'Vérification.';
 $lang['no_mail_list'] = 'Bloque l\' émission de mail si l\' adresse IP est dans la liste noire.';
 $lang['no_connect'] = 'Empêche l\' adresse IP de se connecter au site.';
@@ -16,5 +18,6 @@
 $lang['set_black_list'] = 'Mise sur la liste noire';
 $lang['is_a_spam'] = 'Spammeur détecté!.';
-$lang['valider'] = '(Pour vérifier si l\'adresse introduite est suceptible d\' être un Spammer, valider avec la touche "Entrée".) ';
+$lang['cde_ajout'] = 'cliquer sur l\'icône  =>';
+$lang['valider'] = '(Pour vérifier si l\'adresse introduite est suceptible d\' être un Spammer.) ';
 $lang['IP_adress'] = 'Votre adresse IP';
 $lang['liste_ip']="Liste des IP (historique)";
Index: extensions/Mail_supervisor/main.inc.php
===================================================================
--- extensions/Mail_supervisor/main.inc.php	(revision 4156)
+++ extensions/Mail_supervisor/main.inc.php	(revision 4180)
@@ -42,4 +42,5 @@
 EVENT_HANDLER_PRIORITY_NEUTRAL  */
 
+
 add_event_handler('send_mail', 'clj_mail',EVENT_HANDLER_PRIORITY_NEUTRAL - 1 , 6);
 
@@ -289,7 +290,13 @@
 }
 
+	   
+	 
 
 add_event_handler('get_admin_plugin_menu_links', 'admin_menu');
-
 add_event_handler('loc_after_page_header', 'affiche_message');
+ 
+
 ?>
+
+  
+  
Index: extensions/Mail_supervisor/maintain.inc.php
===================================================================
--- extensions/Mail_supervisor/maintain.inc.php	(revision 4156)
+++ extensions/Mail_supervisor/maintain.inc.php	(revision 4180)
@@ -26,5 +26,5 @@
 }
 if (!defined('MAIL_SUPERV_PATH')) define('MAIL_SUPERV_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
-include_once (MAIL_SUPERV_PATH.'include/constants.php');
+ include_once (MAIL_SUPERV_PATH.'include/constants.php');
  include_once (MAIL_SUPERV_PATH.'include/fonctions.php');  
  
@@ -79,5 +79,5 @@
   ;';
   pwg_query($q);
-  
+ 
 
   