Index: /extensions/Download_Multi/language/es_ES/description.txt
===================================================================
--- /extensions/Download_Multi/language/es_ES/description.txt	(revision 4201)
+++ /extensions/Download_Multi/language/es_ES/description.txt	(revision 4201)
@@ -0,0 +1,1 @@
+Permite el cargamiento de imágenes sobre varias páginas en un archivo cremallera.
Index: /extensions/Download_Multi/language/es_ES/help/download_multi.html
===================================================================
--- /extensions/Download_Multi/language/es_ES/help/download_multi.html	(revision 4201)
+++ /extensions/Download_Multi/language/es_ES/help/download_multi.html	(revision 4201)
@@ -0,0 +1,23 @@
+<h2>Download Multi</h2>
+
+<p>Descargar las imágenes sobre varias páginas</p>
+
+<p>Para poder funcionar correctamente javascript debe ser acelerado sobre su navegador.</p>
+
+<h3>Utilización</h3>
+
+<p>Para cargar las imágenes de su elección hay que seleccionarlos punteando el compartimiento bajo la viñeta, o bien hacer clic en el botón <span class="pwgScreen">Todo cochero</span>.
+Luego hay que hacer clic en el botón <span class="pwgScreen">Añadir a la cesta</span>. Un mensaje apparait abajo la página:
+<blockquote>Usted tiene actuelement 10 imágenes en su cesta.
+Gracias por vaciar la cesta antes de comenzar una nueva selección.</blockquote></p>
+
+<p>Para ver el contenido de su cesta, hacer clic en el botón <span class="pwgScreen">Ver la cesta</span>.
+Desde esta pantalla usted puede connaitre el tipo de imágenes en su cesta y suprimirlo (uno a uno) haciendo clic en la cruz roja.</p>
+
+<p>Para descargar su cesta, hacer clic en el botón <span class="pwgScreen">Descargar la cesta</span>.
+Le es pida precisar un prefijo para los archivos, usted puede dejado el por defecto.
+Para pasar a la etapa siguiente hacer clic en el botón <span class="pwgScreen">Enviar</span>. Una lista de archivos
+aparece. Para recuperar los ficheros archivos basta con hacer clic en el nombre de los ficheros, su navegador le propondrá una acción.
+Desde esta pantalla usted puede suprimir los archivos. Sea seleccionarte totalmente los archivos haciendo clic en el botón
+ <span class="pwgSreen">Seleccionar</span>, o entonces fichero por fichero punteando el compartimiento al lado del nombre del fichero.
+ Luego hacer clic en el botón <span class="pwgScreen">Suprimir</span> para suprimir los ficheros seleccionar.</p>
Index: /extensions/Download_Multi/language/es_ES/help/index.php
===================================================================
--- /extensions/Download_Multi/language/es_ES/help/index.php	(revision 4201)
+++ /extensions/Download_Multi/language/es_ES/help/index.php	(revision 4201)
@@ -0,0 +1,35 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2005 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
+// | file          : $RCSfile$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// recursive call of index.php
+
+$url = '../index.php';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Download_Multi/language/es_ES/index.php
===================================================================
--- /extensions/Download_Multi/language/es_ES/index.php	(revision 4201)
+++ /extensions/Download_Multi/language/es_ES/index.php	(revision 4201)
@@ -0,0 +1,35 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2005 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
+// | file          : $RCSfile$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// recursive call of index.php
+
+$url = '../index.php';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Download_Multi/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Download_Multi/language/es_ES/plugin.lang.php	(revision 4201)
+++ /extensions/Download_Multi/language/es_ES/plugin.lang.php	(revision 4201)
@@ -0,0 +1,94 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Mod Name : Download_multi                                             |
+// | Mod Version : 0.9-1                                                   |
+// | Mod Orignal author: Tboris                                            |
+// | Mod Second author : Cestlodovic                                       |
+// | Mod Version author : FlipFlip <flipflip@free.fr>                      |
+// | Mod description :                                                     |
+// | Ce module est base sur le module existant pour le telechargement,     |
+// | cette version permet le telechargement sur plusieurs pages.           |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['dl_select_all'] = 'Todo cochero';
+$lang['dl_start'] = 'Descargar la cesta';
+$lang['dl_preview'] = 'Ver la cesta';
+$lang['dl_uncheck'] = 'Soltar todo';
+$lang['dl_select'] = 'Aumentar a la cesta';
+$lang['dl_title'] = 'Descargar las imágenes';
+$lang['dl_thumbnail'] = 'Descargar las viñetas';
+$lang['dl_normal'] = 'Descargar las visualizaciones pantalla';
+$lang['dl_high'] = 'Descargar las altas definiciones';
+$lang['dl_legend_select'] = 'Seleccionar las imágenes';
+$lang['dl_message_cart'] = 'Usted tiene %s imágenes';
+$lang['dl_trash'] = 'Vaciar la cesta';
+$lang['dl_archive'] = 'Ver los archivos';
+$lang['dl_choice_image'] = 'Usted debe escoger por lo menos una imagen.';
+$lang['dl_dir_zip'] = 'Creación del repertorio imposible';
+$lang['dl_title_erreur'] = 'Error';
+$lang['dl_title_telechargement'] = 'Lista ficheros';
+$lang['dl_empty_cart'] = 'Cesta vacía';
+$lang['dl_bt_select'] = 'Seleccionar';
+$lang['dl_bt_unselect'] = 'Dado seleccionar';
+$lang['dl_bt_delete'] = 'Suprimir';
+$lang['dl_th_file'] = 'Ficheros';
+$lang['dl_th_date'] = 'Data de creación';
+$lang['dl_th_action'] = 'Acción';
+$lang['dl_no_file'] = 'Ningunos ficheros';
+$lang['dl_prefix_file'] = 'Prefijo del fichero';
+$lang['dl_prefix_button'] = 'Enviar';
+$lang['dl_type_thumbnail'] = 'Viñeta';
+$lang['dl_type_normal'] = 'Normal';
+$lang['dl_type_high'] = 'Alta definición';
+$lang['dl_cart'] = 'Cesta';
+$lang['dl_no_download_high'] = ' es indisponible arriba definición;';
+$lang['dl_no_download_http'] = ' es indisponible al cargamiento;';
+$lang['dl_no_prefix'] = 'El prefix no puede contener de carácteres especiales salvo - o _';
+$lang['dl_no_file'] = 'Ningunos ficheros que hay que cargar.';
+
+/* ----------- Administration ------------ */
+$lang['dl_title'] = 'Download Multi';
+$lang['dl_title_config'] = 'Download Multi configuración';
+$lang['dl_zip_active_comment'] = 'Acelerar los comentarios en el archivo,';
+$lang['dl_zip_comment'] = 'Comentario que será fijado en el archivo comprimido';
+$lang['dl_group_id'] = 'Grupo autorizado a descargar las imágenes. Utilizar la tecla <i>ctrl</i> para seleccionar varios';
+$lang['dl_max_size'] = 'Talla máximo archivos en octetos';
+$lang['dl_zip_prefix'] = 'Prefijo por defecto del nombre de archivos comprimidos cargar';
+$lang['dl_zip_prefix_car'] = 'El campo <i>Prefijo por defecto del nombre de archivos descargar</i> puede contener sólo cifras y letras sin acentos';
+$lang['dl_zip_dir_prefix'] = 'Prefijo del repertorio utilizar en el momento de la descompresión';
+$lang['dl_zip_dir_prefix_car'] = 'El campo <i>Prefijo del repertorio utilizar en el momento de la descompresión</i> puede contener sólo cifras y letras sin acentos';
+$lang['dl_backup_config'] = 'Configuración de Download Multi salvaguardada';
+$lang['dl_converter'] = 'Convertidor';
+$lang['dl_zip_pattern_name'] = 'Generación del nombre de sus archivos, utilice [date] para insertar la fecha bajo la forma: YYYYMMDD y [rand] para generar una cifra aleatoria';
+$lang['dl_select_dl'] = 'Tipo de cargamiento por defecto';
+
+$lang['dl_error_group_id'] = 'Usted debe indicar el grupo authorisé que carga las imágenes.';
+$lang['dl_error_file_size'] = 'Usted debe indicar la talla archivos.';
+$lang['dl_error_file_size_car'] = 'El campo <i>Talla máximo archivos en octetos</i> puede contener sólo cifras.';
+$lang['dl_zip_pattern_name_car'] = 'El campo <i>Generación del nombre de sus archivos</i> puede contener sólo cifras y letras sin acentos.';
+$lang['dl_error_pattern_name'] = 'El campo <i>Generación del nombre de sus archivos</i> no puede estar vacío.';
+$lang['dl_create_category'] = 'Recrear la estructura de las categorías en los archivos generados';
+
+$lang['dl_title_information'] = 'Información sobre su configuración';
+$lang['dl_class_zip'] = 'Usted utiliza : ';
+
+/* ----------- Installation -------------- */
+$lang['dl_mysql_version'] = 'Versión de mysql incompatible. Usted debe tener por lo menos la versión 4.1';
+$lang['dl_php_version'] = 'Versión de php inferior a 5, instalación imposible';
+$lang['dl_install_ok'] = 'Instalación o.k.';
+$lang['dl_class_exist'] = 'Para funcionar correctamente su servidor debe utilizar el class php ZipArchive, ponerse en contacto con su administrador para que le acelere';
+?>