Index: /extensions/meta/language/es_ES/description.txt
===================================================================
--- /extensions/meta/language/es_ES/description.txt	(revision 4205)
+++ /extensions/meta/language/es_ES/description.txt	(revision 4205)
@@ -0,0 +1,1 @@
+Permite añadir metadata sobre ellos todos el sitio, las categorías y las imágenes
Index: /extensions/meta/language/es_ES/index.php
===================================================================
--- /extensions/meta/language/es_ES/index.php	(revision 4205)
+++ /extensions/meta/language/es_ES/index.php	(revision 4205)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/meta/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/meta/language/es_ES/plugin.lang.php	(revision 4205)
+++ /extensions/meta/language/es_ES/plugin.lang.php	(revision 4205)
@@ -0,0 +1,61 @@
+<?php
+
+//onglet gestion
+$lang['meta_onglet_gestion'] = 'metadata';
+$lang['meta_desh3'] = 'Añadir metadata a todas las páginas';
+$lang['meta_name'] = 'Nombre del metadata';
+$lang['meta_select'] = 'Seleccione el metadata a editar';
+$lang['meta_choix'] = 'Editar el metadata';
+$lang['meta_list'] = 'metadata :';
+$lang['meta_select2'] = 'Seleccione el metadata';
+$lang['meta_description'] = 'Descripción';
+$lang['meta_diff_val'] = 'Valor posible';
+$lang['meta_comp'] = 'metadata a completar';
+$lang['meta_insmeta'] = 'Inserer el metadata en la mesa';
+
+//onglet categorie
+$lang['meta_onglet_categorie'] = 'Metadata Categorías';
+$lang['meta_cath3'] = 'Añadir a meta keywords a las categorías';
+$lang['meta_select3'] = 'Seleccione la categoría';
+$lang['meta_selectcat'] = 'Seleccione el nombre de la categoría para el méta keywords a editar';
+$lang['meta_listcat'] = 'Lista categorías :';
+$lang['meta_choixcat'] = 'Editar el metadata de la categoría';
+$lang['meta_compcat'] = 'Palabras claves de la categoría que hay que completar';
+$lang['meta_inscat'] = 'Insertar las Palabras claves en la base';
+
+//onglet image
+$lang['meta_onglet_image'] = 'Metadata imágenes';
+$lang['meta_img'] = 'Añadir a meta keywords a las imágenes';
+$lang['meta_selectimg'] = 'Seleccione el nombre de la imagen para el méta keywords a editar';
+$lang['meta_listimg'] = 'Lista imágenes';
+$lang['meta_choiximg'] = 'Editar Metadata de la imagen';
+$lang['meta_selecti3'] = 'Seleccione la imagen';
+$lang['meta_compimg'] = 'Palabras claves de la imagen que hay que completar';
+
+//onglet description
+$lang['meta_onglet_description'] = 'Descripción de Metadata';
+$lang['meta_author'] = 'Descripción de meta author';
+$lang['meta_author_help'] = 'Informaciones sobre el autor <br> Informaciones sobre el autor del sitio';
+$lang['meta_keywords'] = 'Descripción de meta keywords';
+$lang['meta_keywords_help'] = '" Palabra clave, palabra clave, etc. " <br> Palabras claves que describen la página web. (Separado por una coma)';
+$lang['meta_Description'] = 'Descripción de meta Description';
+$lang['meta_Description_help'] = 'Descripción de su sitio <br> Permite dar una información a fijar en el momento del resultado de una búsqueda(investigación).';
+$lang['meta_robots'] = 'Descripción de meta robots';
+$lang['meta_robots_help'] = '
+all : Permite al robot hacer referencia a toda la página (por defecto)<br>
+follow : Permite al robot seguir los lazos de la página<br>
+index : Permite al robot indizar la página<br>
+nofollow : Prohibido al robot de seguir los lazos<br>
+noindex : Prohibido al robot de indizar la página<br>
+none : Impide el robot perseguir la indización del sitio<br>
+';
+
+//upgrade
+$lang['meta_maj'] = 'Puesta al día';
+$lang['meta_majt'] = 'Puesta al día acabada <br> haga un clic sobre la menuda meta para volver a la gestión del plugin';
+
+
+
+
+
+?>
Index: /extensions/meta/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/meta/language/fr_FR/plugin.lang.php	(revision 4204)
+++ /extensions/meta/language/fr_FR/plugin.lang.php	(revision 4205)
@@ -11,5 +11,5 @@
 $lang['meta_description'] = 'description';
 $lang['meta_diff_val'] = 'Valeur possible';
-$lang['meta_comp'] = 'Metadonnée à complèter';
+$lang['meta_comp'] = 'Metadonnée à compléter';
 $lang['meta_insmeta'] = 'inserer la metadonnée dans la table';
 
@@ -21,5 +21,5 @@
 $lang['meta_listcat'] = 'Liste des catégories :';
 $lang['meta_choixcat'] = 'Éditer la Metadonnée de la catégorie';
-$lang['meta_compcat'] = 'Mots clés de la catégorie à complèter';
+$lang['meta_compcat'] = 'Mots clés de la catégorie à compléter';
 $lang['meta_inscat'] = 'Insérer les Mots clés dans la base';
 
@@ -31,5 +31,5 @@
 $lang['meta_choiximg'] = 'Éditer la Metadonnée de l\'image';
 $lang['meta_selecti3'] = 'Sélectionnez l\'image';
-$lang['meta_compimg'] = 'Mots clés de l\'image à complèter';
+$lang['meta_compimg'] = 'Mots clés de l\'image à compléter';
 
 //onglet description
Index: /extensions/meta/main.inc.php
===================================================================
--- /extensions/meta/main.inc.php	(revision 4204)
+++ /extensions/meta/main.inc.php	(revision 4205)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: meta
-Version: 2.0.5.a
+Version: 2.0.5.b
 Description: Allows to add metadata
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=220