Index: /extensions/piwigopress/PiwigoPress_code.php
===================================================================
--- /extensions/piwigopress/PiwigoPress_code.php	(revision 4215)
+++ /extensions/piwigopress/PiwigoPress_code.php	(revision 4216)
@@ -65,7 +65,7 @@
 		echo '<ul style="clear: both;"><li>' . __('Pictures categories','pwg') . '<ul>';
 		foreach ($cats["result"]["categories"] as $cat) {
-			echo '<li><a title="' . $cat['name'] . '" href="' . $piwigo_url . 'index.php?category/' . $cat['id'] . '">' . $cat['name'] . '</a></li>';
+			echo '<li><a title="' . $cat['name'] . '" href="' . $piwigo_url . 'index.php?category/' . $cat['id'] . '">' . $cat['name'] . '</a></li>'."\r\n";
 		}
-		echo '</ul></li></ul>';
+		echo '</ul></li></ul>'."\r\n";
 	}
 }
@@ -76,31 +76,31 @@
 
 if ($most_visited == 'true') 
-	echo '<li><a title="' . __('Most visited','pwg') . '" href="' . $piwigo_url . 'index.php?most_visited' . '">' . __('Most visited','pwg') . '</a></li>';
+	echo '<li><a title="' . __('Most visited','pwg') . '" href="' . $piwigo_url . 'index.php?most_visited' . '">' . __('Most visited','pwg') . '</a></li>'."\r\n";
 
 if ($best_rated == 'true') 
-	echo '<li><a title="' . __('Best rated','pwg') . '" href="' . $piwigo_url . 'index.php?best_rated' . '">' . __('Best rated','pwg') . '</a></li>';
+	echo '<li><a title="' . __('Best rated','pwg') . '" href="' . $piwigo_url . 'index.php?best_rated' . '">' . __('Best rated','pwg') . '</a></li>'."\r\n";
 
 if ($most_commented == 'true') 
-	echo '<li><a title="' . __('Most commented','pwg') . '" href="' . $piwigo_url . 'index.php?most_commented' . '">' . __('Most commented','pwg') . '</a></li>';
+	echo '<li><a title="' . __('Most commented','pwg') . '" href="' . $piwigo_url . 'index.php?most_commented' . '">' . __('Most commented','pwg') . '</a></li>'."\r\n";
 
 if ($random == 'true') 
-	echo '<li><a title="' . __('Random','pwg') . '" href="' . $piwigo_url . 'random.php' . '">' . __('Random','pwg') . '</a></li>';
+	echo '<li><a title="' . __('Random','pwg') . '" href="' . $piwigo_url . 'random.php' . '">' . __('Random','pwg') . '</a></li>'."\r\n";
 
 if ($recent_pics == 'true')
-	echo '<li><a title="' . __('Recent pics','pwg') . '" href="' . $piwigo_url . 'index.php?recent_pics' . '">' . __('Recent pics','pwg') . '</a></li>';
+	echo '<li><a title="' . __('Recent pics','pwg') . '" href="' . $piwigo_url . 'index.php?recent_pics' . '">' . __('Recent pics','pwg') . '</a></li>'."\r\n";
 
 if ($calendar == 'true') 
-	echo '<li><a title="' . __('Calendar','pwg') . '" href="' . $piwigo_url . 'index.php?created-monthly-calendar' . '">' . __('Calendar','pwg') . '</a></li>';
+	echo '<li><a title="' . __('Calendar','pwg') . '" href="' . $piwigo_url . 'index.php?created-monthly-calendar' . '">' . __('Calendar','pwg') . '</a></li>'."\r\n";
 
 if ($tags == 'true') 
-	echo '<li><a title="' . __('Tags','pwg') . '" href="' . $piwigo_url . 'tags.php' . '">' . __('Tags','pwg') . '</a></li>';
+	echo '<li><a title="' . __('Tags','pwg') . '" href="' . $piwigo_url . 'tags.php' . '">' . __('Tags','pwg') . '</a></li>'."\r\n";
 
 if ($comments == 'true') 
-	echo '<li><a title="' . __('Comments','pwg') . '" href="' . $piwigo_url . 'comments.php' . '">' . __('Comments','pwg') . '</a></li>';
+	echo '<li><a title="' . __('Comments','pwg') . '" href="' . $piwigo_url . 'comments.php' . '">' . __('Comments','pwg') . '</a></li>'."\r\n";
 
 
 if ($most_visited == 'true' or $best_rated == 'true' or 
     $most_commented == 'true' or $random == 'true' or $recent_pics == 'true' or 
-    $calendar == 'true' or $tags == 'true' or $comments == 'true') echo '</ul>';
+    $calendar == 'true' or $tags == 'true' or $comments == 'true') echo '</ul>'."\r\n";
 
 echo $after_widget;
Index: /extensions/piwigopress/PiwigoPress_get.php
===================================================================
--- /extensions/piwigopress/PiwigoPress_get.php	(revision 4215)
+++ /extensions/piwigopress/PiwigoPress_get.php	(revision 4216)
@@ -19,5 +19,5 @@
 	$pwg_prev_host = $host;
 	$mode = $pwg_mode;
-	//$mode = 'ch'; // Forcing a test '' all, 'fs' fsockopen, 'ch' cURL
+	// $mode = 'ch'; // Forcing a test '' all, 'fs' fsockopen, 'ch' cURL
 
 // 1 - The simplest solution: file_get_contents
@@ -34,5 +34,5 @@
 	}
 	if ( $mode == '' ) $mode = 'fs';
-	if ( $pwg_mode == '' ) $pwg_mode = 'fs';
+	if ( $pwg_mode == '' ) $pwg_mode = 'fs'; // Remind it
 // 2 - Often accepted access: fsockopen
 	if ($mode == 'fs') {
@@ -56,16 +56,13 @@
 		}
 	}
-	$return["stat"] = 'failed';
-	$pwg_mode = 'failed';
-	return serialize($return);
 
-// Not active cURL right now
-	if ( $pwg_mode == 'fs' ) $pwg_mode = 'ch';
+	if ( $pwg_mode == 'fs' ) $pwg_mode = 'ch'; // Remind it
 // 3 - Sometime another solution: curl_exec
 // See http://fr2.php.net/manual/en/curl.installation.php
   if (function_exists('curl_init') and $pwg_mode == 'ch') {
 		$ch = @curl_init();
+		@curl_setopt($ch, CURLOPT_URL, $url);
+		@curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
 		@curl_setopt($ch, CURLOPT_TIMEOUT, $timeout);
-		@curl_setopt($ch, CURLOPT_URL, $url);
 		@curl_setopt($ch, CURLOPT_HEADER, 1);
 		@curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0');
@@ -76,12 +73,15 @@
 		$status = @curl_getinfo($ch, CURLINFO_HTTP_CODE);
 		@curl_close($value);
-		if ($value !== false and $status >= 200 and $status < 400)
-				$value = substr($value, $header_length);
+		if ($value !== false and $status >= 200 and $status < 400) {
+			$value = substr($value, $header_length);
+			// echo '<br/>-ch- ('. $value . ') <br/>';
+			return $value;
+		}
+		else $pwg_mode = 'failed'; // Sorry but remind it as well
 	}
 
 	// No other solutions
 	$return["stat"] = 'failed';
-	echo '<br/>- pwg_get_contents: failed on file_get, fsockopen and cURL processes<br/>';
-	$pwg_mode = 'failed';
+	// echo '<br/>- pwg_get_contents: failed on file_get, fsockopen and cURL processes<br/>';
 	return serialize($return);
 }
Index: /extensions/piwigopress/piwigopress.php
===================================================================
--- /extensions/piwigopress/piwigopress.php	(revision 4215)
+++ /extensions/piwigopress/piwigopress.php	(revision 4216)
@@ -73,4 +73,9 @@
 			register_widget('PiwigoPress');
 }
+
+// Add gallery pictures
+function PiwigoPress_media_buttons() {
+}
 add_action('widgets_init', PWGP_NAME . '_Init');
+add_action('media_buttons', PWGP_NAME . '_media_buttons');
 ?>
Index: /extensions/piwigopress/readme.txt
===================================================================
--- /extensions/piwigopress/readme.txt	(revision 4215)
+++ /extensions/piwigopress/readme.txt	(revision 4216)
@@ -68,5 +68,39 @@
 == Frequently Asked Questions ==
 
-Currently, none.
+No thumbnail are displayed.
+Since (12) months and no public pictures since July 2005): Try 99 or 0 months!
+Class CSS includes a display: none; Check your css!
+Private Category instead of public; Check the selected category!
+
+Category (0) since (0) months and correct CSS class, then check:
+- Locked Gallery
+- Mandatory subscription
+- All private categories
+- All locked categories
+- Picture privacy level (> 0 : must be 0 ---)
+
+
+
+Example of Class:
+.img-shadow {
+  float:left;
+  background: url(images/shadowAlpha.png) no-repeat bottom right !important;
+  background: url(images/shadow.gif) no-repeat bottom right;
+  margin: 10px 0 0 10px !important;
+  margin: 10px 0 0 5px;
+  }
+ 
+.img-shadow img {
+  display: block;
+  position: relative;
+  background-color: #fff;
+  border: 1px solid #a9a9a9;
+  margin: -6px 6px 6px -6px;
+  padding: 4px;
+  }
+	
+	Will be included in future releases:
+	http://www.vdigital.org/sharing/wp-content/themes/green-apples/images/shadowAlpha.png
+	http://www.vdigital.org/sharing/wp-content/themes/green-apples/images/shadow.gif
 
 = A question that someone might have =
@@ -81,4 +115,7 @@
 
 == Changelog ==
+
+= 1.05 = 
+* Alternate pwg_get_contents (cURL)
 
 = 1.04 = 