Index: /extensions/charlies_content/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/charlies_content/language/fr_FR/plugin.lang.php	(revision 4216)
+++ /extensions/charlies_content/language/fr_FR/plugin.lang.php	(revision 4217)
@@ -6,142 +6,142 @@
 $lang['Players colors'] = 'Couleurs des Players ';
 $lang['Curtain selection'] = 'Sélection des Rideaux';
-$lang['Forced width is out of range (Correct range: 90-1024)'] = 'Forced width is out of range (Correct range: 90-1024)';
-$lang['Forced height is out of range (Correct range: 90-1024)'] = 'Forced height is out of range (Correct range: 90-1024)';
-$lang['Default width is out of range (Correct range: 90-1024)'] = 'Default width is out of range (Correct range: 90-1024)';
-$lang['Default height is out of range (Correct range: 90-1024)'] = 'Default height is out of range (Correct range: 90-1024)';
-$lang['Volume is out of range (Correct range: 0-200)'] = 'Volume is out of range (Correct range: 0-200)';
-$lang['Unknown file (Start image)'] = 'Unknown file (Start image)';
-$lang['Unknown file or URL|x|y error (x and y must be numeric)'] = 'Unknown file or URL|x|y error (x and y must be numeric)';
-$lang['Title font size is out of range (Correct range: 12-72)'] = 'Title font size is out of range (Correct range: 12-72)';
-$lang['Play icon transparency is out of range (Correct range: 0-100)'] = 'Play icon transparency is out of range (Correct range: 0-100)';
-$lang['Margin is out of range (Correct range: 0-40)'] = 'Margin is out of range (Correct range: 0-40)';
-$lang['Unknown file (skin)'] = 'Unknown file (skin)';
-$lang['Autohide delay is out of range (Correct range: 0-9999)'] = 'Autohide delay is out of range (Correct range: 0-9999)';
-$lang['Player transparency is out of range (Correct range: 0-100)'] = 'Player transparency is out of range (Correct range: 0-100)';
-$lang['Subtitle font size is out of range (Correct range: 8-24)'] = 'Subtitle font size is out of range (Correct range: 8-24)';
-$lang['Wrong filename or file not found (Subtitles file)'] = 'Wrong filename or file not found (Subtitles file)';
+$lang['Forced width is out of range (Correct range: 90-1024)'] = 'Largeur forcée hors limites (Plage de valeurs correctes : 90-1024)';
+$lang['Forced height is out of range (Correct range: 90-1024)'] = 'Hauteur forcée hors limites (Plage de valeurs correctes : 90-1024)';
+$lang['Default width is out of range (Correct range: 90-1024)'] = 'Largeur par défaut hors limites (Plage de valeurs correctes : 90-1024)';
+$lang['Default height is out of range (Correct range: 90-1024)'] = 'Hauteur par défaut hors limites (Plage de valeurs correctes : 90-1024)';
+$lang['Volume is out of range (Correct range: 0-200)'] = 'Volume par défaut hors limites (Plage de valeurs correctes : 0-200)';
+$lang['Unknown file (Start image)'] = 'Fichier inexistant (Image de début)';
+$lang['Unknown file or URL|x|y error (x and y must be numeric)'] = 'Fichier inexistant ou erreur d\'URL|x|y (x et y doivent être numériques)';
+$lang['Title font size is out of range (Correct range: 12-72)'] = 'Taille de police du titre hors limites (Plage de valeurs correctes : 12-72)';
+$lang['Play icon transparency is out of range (Correct range: 0-100)'] = 'Transparence de l\'icône "Play" hors limites (Plage de valeurs correctes : 0-100)';
+$lang['Margin is out of range (Correct range: 0-40)'] = 'Marge hors limites (Plage de valeurs correctes : 0-40)';
+$lang['Unknown file (skin)'] = 'Fichier inexistant (skin)';
+$lang['Autohide delay is out of range (Correct range: 0-9999)'] = 'Délai de masquage automatique hors limites (Plage de valeurs correctes : 0-9999)';
+$lang['Player transparency is out of range (Correct range: 0-100)'] = 'Transparence du player hors limites (Plage de valeurs correctes : 0-100)';
+$lang['Subtitle font size is out of range (Correct range: 8-24)'] = 'Taille de police du sous-titre hors limites (Plage de valeurs correctes : 8-24)';
+$lang['Wrong filename or file not found (Subtitles file)'] = 'Nom de fichier incorrect ou fichier non trouvé (Fichier de sous-titres)';
 $lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol 
     developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 
-	'Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol 
-    developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.';
-$lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"';
-$lang['Your configuration is NOT saved due to above reasons.'] = 'Your configuration is NOT saved due to above reasons.';
-$lang['You are Adviser and you are not authorized to change this configuration.'] = 'You are Adviser and you are not authorized to change this configuration.';
-$lang['Your configuration is saved.'] = 'Your configuration is saved.';
+	'Nom de fichier incorrect. RTMP (Real Time Messaging Protocol) est un protocole propriétaire basé sur TCP, et développé par Adobe pour les besoins du streaming des données audio et vidéo entre Flash Player et le "media server".';
+
+$lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'Code couleur incorrect : 3 ou 6 caractères hexadécimaux, précédés de "#"';
+$lang['Your configuration is NOT saved due to above reasons.'] = 'Votre configuration N\'EST PAS sauvegardée pour les raisons listées ci-dessus.';
+$lang['You are Adviser and you are not authorized to change this configuration.'] = 'Vous êtes Conseiller et n\'êtes pas autorisé à modifier cette configuration.';
+$lang['Your configuration is saved.'] = 'Votre configuration est sauvegardée.';
 
 //File charlies_config.tpl
 $lang['Save Charlies\' configuration'] = 'Sauvegarde la configuration de Charlies\'';
-$lang['On'] = 'oui';
+$lang['On'] = 'Oui';
 $lang['Off'] = 'Non';
 //tab1 : templates
-$lang['Charlies player template-mimetype association'] = 'Charlies player template-mimetype association';
-$lang['Bind your prefered extensions to a template file (player) from:'] = 'Bind your prefered extensions to a template file (player) from:';
-$lang['Note: These options are available with the Maxi FLV Player. More details on all theses options on:'] = 'Note: These options are available with the Maxi FLV Player. More details on all theses options on:';
+$lang['Charlies player template-mimetype association'] = 'Association template-mimetype du player de Charlies';
+$lang['Bind your prefered extensions to a template file (player) from:'] = 'Lie vos extensions préférées à un fichier template (player) issu de :';
+$lang['Note: These options are available with the Maxi FLV Player. More details on all theses options on:'] = 'Note : Ces options sont disponibles avec le player Maxi FLV. Plus de détails sur ces options sur :';
 //tab2 : options
-$lang['Charlies players configuration'] = 'Charlies players configuration';
-$lang['General options'] = 'General options';
-$lang['Buffering'] = 'Buffering';
-$lang['Config by element'] = 'Config by element';
+$lang['Charlies players configuration'] = 'Configuration des players de Charlies';
+$lang['General options'] = 'Options générales';
+$lang['Buffering'] = 'Mise en mémoire-tampon (buffering)';
+$lang['Config by element'] = 'Configuration par élément';
 $lang['Skin'] = 'Skin';
-$lang['Titleling'] = 'Titleling';
-$lang['Subtitleling'] = 'Subtitleling';
-$lang['Player and Buttons'] = 'Player and Buttons';
-$lang['Miscellaneous'] = 'Miscellaneous';
+$lang['Titleling'] = 'Titrage';
+$lang['Subtitleling'] = 'Sous-titrage';
+$lang['Player and Buttons'] = 'Player et boutons';
+$lang['Miscellaneous'] = 'Divers';
 //tab2 : options -> subtab1 : General options
-$lang['Autoload'] = 'Autoload';
-$lang['Display first picture'] = 'Display first picture';
-$lang['Autoplay'] = 'Autoplay';
-$lang['Loop'] = 'Loop';
-$lang['Fullscreen'] = 'Fullscreen';
-$lang['Flash Player 9.0.16.60 or above is required.'] = 'Flash Player 9.0.16.60 or above is required.';
-$lang['Forced video width'] = 'Forced video width';
-$lang['Forced video height'] = 'Forced video height';
-$lang['Video default width'] = 'Video default width';
-$lang['Video default height'] = 'Video default height';
+$lang['Autoload'] = 'Chargement automatique';
+$lang['Display first picture'] = 'Affichage de la première image';
+$lang['Autoplay'] = 'Démarrage automatique';
+$lang['Loop'] = 'En boucle';
+$lang['Fullscreen'] = 'Plein écran';
+$lang['Flash Player 9.0.16.60 or above is required.'] = 'Requiert Flash Player 9.0.16.60 ou supérieur.';
+$lang['Forced video width'] = 'Largeur forcée de la vidéo';
+$lang['Forced video height'] = 'Hauteur forcée de la vidéo';
+$lang['Video default width'] = 'Largeur par défaut de la vidéo';
+$lang['Video default height'] = 'Hauteur par défaut de la vidéo';
 $lang['Volume [0-200]'] = 'Volume [0-200]';
-$lang['Onclick URL'] = 'Onclick URL';
-$lang['or fullscreen or playpause or none'] = 'or fullscreen or playpause or none';
-$lang['_blank'] = '_blank';
-$lang['_self'] = '_self';
+$lang['Onclick URL'] = 'URL à cliquer';		// je ne suis pas sûre de ce que ça veut dire
+$lang['or fullscreen or playpause or none'] = 'ou plein-écran ou marche-arrêt ou rien';  // il faut traduire ou laisser tel quel ?
+$lang['_blank'] = '_blank';			// dans le doute, je n'ai pas traduit
+$lang['_self'] = '_self';			// idem
 //tab2 : options -> subtab2 : Buffering
-$lang['Video buffer size in seconds'] = 'Video buffer size in seconds';
-$lang['Default 5 seconds'] = 'Default 5 seconds';
-$lang['Video buffer percent message'] = 'Video buffer percent message';
-$lang['Buffering _n_'] = 'Buffering _n_';
-$lang['Video buffer background'] = 'Video buffer background';
+$lang['Video buffer size in seconds'] = 'taille du buffer vidéo en secondes';
+$lang['Default 5 seconds'] = 'Défaut 5 secondes';
+$lang['Video buffer percent message'] = 'Message du pourcentage du buffer vidéo';	// je ne sais pas si c'est ça ...
+$lang['Buffering _n_'] = 'Buffering _n_';	// dans le doute, je n'ai pas traduit
+$lang['Video buffer background'] = 'Arrière-plan du buffer vidéo';
 //tab2 : options -> subtab3 : Config by element
-$lang['Use existing .txt to config'] = 'Use existing .txt to config';
-$lang['Filename.txt might be use as config.txt file'] = 'Filename.txt might be use as config.txt file';
-$lang['Use existing .xml to config'] = 'Use existing .xml to config';
-$lang['Filename.xml might be use as config.xml file'] = 'Filename.xml might be use as config.xml file';
+$lang['Use existing .txt to config'] = 'Utiliser un fichier .txt existant pour configurer';
+$lang['Filename.txt might be use as config.txt file'] = 'Nomdefichier.txt peut être utilisé en tant que fichier config.txt';
+$lang['Use existing .xml to config'] = 'Utiliser un fichier .xml existant pour configurer';
+$lang['Filename.xml might be use as config.xml file'] = 'Nomdefichier.xml peut être utilisé en tant que fichier config.xml';
 //tab2 : options -> subtab4 : Skin
-$lang['Margin for skin'] = 'Margin for skin';
-$lang['Skin image'] = 'Skin image';
-$lang['(URL of a non progressive jpg)'] = '(URL of a non progressive jpg)';
+$lang['Margin for skin'] = 'Marge du skin';
+$lang['Skin image'] = 'Image du skin';
+$lang['(URL of a non progressive jpg)'] = '(URL d\'un fichier jpg non progressif)';
 //tab2 : options -> subtab5 : Titleling
-$lang['Title'] = 'Title';
-$lang['Title font size [12-72]'] = 'Title font size [12-72]';
-$lang['Default size might be 20.'] = 'Default size might be 20.';
-$lang['Start image'] = 'Start image';
-$lang['Title and start picture'] = 'Title and start picture';
-$lang['Play icon in middle'] = 'Play icon in middle';
-$lang['Play icon transparency [0-100]'] = 'Play icon transparency [0-100]';
-$lang['Load an image over video'] = 'Load an image over video';
-$lang['(URL|x|y : where x,y are the offsets to place the picture)'] = '(URL|x|y : where x,y are the offsets to place the picture)';
+$lang['Title'] = 'Titre';
+$lang['Title font size [12-72]'] = 'Taille de la police du titre [12-72]';
+$lang['Default size might be 20.'] = 'La taille par défaut pourrait être 20.';
+$lang['Start image'] = 'Image de début';
+$lang['Title and start picture'] = 'Titre et image de début';
+$lang['Play icon in middle'] = 'Icône "Play" au milieu';
+$lang['Play icon transparency [0-100]'] = 'Transparence de l\'icône "Play" [0-100]';
+$lang['Load an image over video'] = 'Charge une image par-dessus la vidéo';	// je ne suis pas sûre d'avoir compris
+$lang['(URL|x|y : where x,y are the offsets to place the picture)'] = '(URL|x|y : où x et y sont les déplacements pour positionner l\'image)';
 //tab2 : options -> subtab6 : Subtitleling
-$lang['Use subtitles'] = 'Use subtitles';
-$lang['Filename.srt might be use for captioning'] = 'Filename.srt might be use for captioning';
-$lang['Subtitles font size [8-24]'] = 'Subtitles font size [8-24]';
-$lang['Default size might be 11.'] = 'Default size might be 11.';
-$lang['Subtitles URL file'] = 'Subtitles URL file';
-$lang['URL of .srt'] = 'URL of .srt';
+$lang['Use subtitles'] = 'Utiliser les sous-titres';
+$lang['Filename.srt might be use for captioning'] = 'Nomdefichier.srt peut être utilisé pour les sous-titres';
+$lang['Subtitles font size [8-24]'] = 'Taille de la police des sous-titres [8-24]';
+$lang['Default size might be 11.'] = 'La taille par défaut pourrait être 11.';
+$lang['Subtitles URL file'] = 'URL du fichier de sous-titres';	// la traduction littérale serait "fichier d'URL des sous-titres" ; je doute ...
+$lang['URL of .srt'] = 'URL du fichier .srt';
 //tab2 : options -> subtab7 : Player and Buttons
-$lang['Show player'] = 'Show player';
-$lang['Autohide'] = 'Autohide';
-$lang['Always'] = 'Always';
-$lang['Never'] = 'Never';
-$lang['Show loading'] = 'Show loading';
-$lang['Show mouse'] = 'Show mouse';
-$lang['Show time'] = 'Show time';
-$lang['Time left'] = 'Time left';
-$lang['Player transparency [0-100]'] = 'Player transparency [0-100]';
-$lang['Autohide delay [0-9999]'] = 'Autohide delay [0-9999]';
-$lang['Default 1500 milliseconds.'] = 'Default 1500 milliseconds.';
-$lang['Show stop button'] = 'Show stop button';
-$lang['Show volume'] = 'Show volume';
-$lang['Subtitles and stop loading'] = 'Subtitles and stop loading';
-$lang['Show substitles switch'] = 'Show substitles switch';
-$lang['Stop stops loading'] = 'Stop stops loading';
-$lang['Keyboard shortcuts'] = 'Keyboard shortcuts';
+$lang['Show player'] = 'Affichage du player';
+$lang['Autohide'] = 'Masquage automatique';
+$lang['Always'] = 'Toujours';
+$lang['Never'] = 'Jamais';
+$lang['Show loading'] = 'Affiche le chargement';
+$lang['Show mouse'] = 'Affiche la souris';
+$lang['Show time'] = 'Affiche le temps écoulé';
+$lang['Time left'] = 'Affiche le temps restant';
+$lang['Player transparency [0-100]'] = 'Transparence du player [0-100]';
+$lang['Autohide delay [0-9999]'] = 'Délai du masquage automatique [0-9999]';
+$lang['Default 1500 milliseconds.'] = 'Défaut 1500 milliseconds.';
+$lang['Show stop button'] = 'Affiche le bouton Arrêt';
+$lang['Show volume'] = 'Affiche le volume';
+$lang['Subtitles and stop loading'] = 'Sous-titres et arrêt du chargement';	// à moins que ce ne soit "chargement des sous-titres et du bouton Arrêt" ?
+$lang['Show subtitles switch'] = 'Affiche le bouton des soustitres'; // retiré un 's' en trop dans le texte anglais
+$lang['Stop stops loading'] = 'Stop stops loading';	// comprend pas ; est-ce que ce ne serait pas plutôt "Show stop loading" (= "Affiche le bouton d'arrêt du chargement")
+$lang['Keyboard shortcuts'] = 'Raccourcis claviers';
 //tab2 : options -> subtab8 : Miscellaneous
-$lang['PHP streaming'] = 'PHP streaming';
-$lang['RTMP server URL'] = 'RTMP server URL';
-$lang['(Adobe Systems for streaming audio, video and data)'] = '(Adobe Systems for streaming audio, video and data)';
-$lang['FYI: all these options might be used or NOT by the inbound player (template).'] = 'FYI: all these options might be used or NOT by the inbound player (template).';
+$lang['PHP streaming'] = 'Streaming PHP';
+$lang['RTMP server URL'] = 'URL du serveur RTMP';
+$lang['(Adobe Systems for streaming audio, video and data)'] = '(Adobe Systems pour le streaming audio, vidéo et données)';
+$lang['FYI: all these options might be used or NOT by the inbound player (template).'] = 'Pour information : toutes ces options peuvent être utilisées ou PAS par le player utilisé (template)'; // je n'ai pas trouvé ce que signifie "inbound" dans ce contexte ...
 
 //Tab3 : colors
-$lang['Players colours selection'] = 'Players colours selection';
-$lang['Background'] = 'Background';
-$lang['Subtitles background'] = 'Subtitles background';
-$lang['Top border fading'] = 'Top border fading';
+$lang['Players colours selection'] = 'Choix des couleurs du player';
+$lang['Background'] = 'Arrière-plan';
+$lang['Subtitles background'] = 'Arrière-plan des sous-titres';
+$lang['Top border fading'] = 'Bordure supérieure';	// je ne sais pas ce que signifie "fading" dans ce contexte ... la bordure est en dégradé/transparente ?
 $lang['Player'] = 'Player';
-$lang['Bottom border fading'] = 'Bottom border fading';
-$lang['Loading bar'] = 'Loading bar';
-$lang['Player buttons'] = 'Player buttons';
-$lang['Leftbar gradient fading'] = 'Leftbar gradient fading';
-$lang['Hover player buttons'] = 'Hover player buttons';
-$lang['Rightbar gradient fading'] = 'Rightbar gradient fading';
+$lang['Bottom border fading'] = 'Bordure inférieure';	// idem bordure supérieure
+$lang['Loading bar'] = 'Barre de chargement';
+$lang['Player buttons'] = 'Boutons du player';
+$lang['Leftbar gradient fading'] = 'Dégradé barre de gauche';	// s'agit-il de la bordure ou d'autre chose ? même problème que ci-dessus pour "fading"
+$lang['Hover player buttons'] = 'Survol des boutons du player';
+$lang['Rightbar gradient fading'] = 'Dégradé barre de droite';	// idem leftbar
 $lang['Buffer'] = 'Buffer';
-$lang['Hover bar gradient'] = 'Hover bar gradient';
-$lang['Buffer background'] = 'Buffer background';
-$lang['Play icon'] = 'Play icon';
-$lang['Title'] = 'Title';
-$lang['Play icon background'] = 'Play icon background';
-$lang['Subtitles'] = 'Subtitles';
-$lang['Color usage might be just for information (Players could just ignore them or use them differently)'] = 'Color usage might be just for information (Players could just ignore them or use them differently)';
+$lang['Hover bar gradient'] = 'Survol de la barre de dégradé';	// ???
+$lang['Buffer background'] = 'Arrière-plan du buffer';
+$lang['Play icon'] = 'Icône "Play"';
+$lang['Title'] = 'Titre';
+$lang['Play icon background'] = 'Arrière-plan de l\'icône "Play"';
+$lang['Subtitles'] = 'Sous-titres';
+$lang['Color usage might be just for information (Players could just ignore them or use them differently)'] = 'Les couleurs peuvent n\'être utilisées qu\'à titre d\'information (Les players peuvent les ignorer ou les utiliser différemment';
 
 //Tab4 : curtain
-$lang['Active curtains'] = 'Active curtains';
-$lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = '.png without transparency are recommended. Maybe you can change a set of curtains by yours.';
+$lang['Active curtains'] = 'Active les rideaux';	// je ne sais pas ce que c'est ...
+$lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = '.png sans transparence est recommandée. Peut-être pouvez-vous remplacer un jeu de rideaux par un des vôtres';	// je suis complètement larguée ! LOL
 
 ?>